Home CVE Database CVE-2018-15599

CVE-2018-15599

Description

The recv_msg_userauth_request function in svr-auth.c in Dropbear through 2018.76 is prone to a user enumeration vulnerability because username validity affects how fields in SSH_MSG_USERAUTH messages are handled, a similar issue to CVE-2018-15473 in an unrelated codebase.

Priority: MEDIUM
CVSS v3: 5.3
Publish Date: Aug 20, 2018
Related ID: --
CVSS v2: MEDIUM
Modified Date: Aug 20, 2018

Find out more about CVE-2018-15599 from the MITRE-CVE dictionary and NIST NVD


Products Affected

Login may be required to access defects or downloads.

Product Name Status Defect Fixed Downloads
Linux
Wind River Linux LTS 17 Fixed LIN10-4600
10.17.41.11 Wind River Linux LTS 10.17.41.11
Wind River Linux LTS 10.17.41.12
Wind River Linux LTS 10.17.41.13
Wind River Linux LTS 10.17.41.14
Wind River Linux LTS 10.17.41.15
Wind River Linux LTS 10.17.41.16
Wind River Linux LTS 10.17.41.17
Wind River Linux LTS 10.17.41.18
Wind River Linux LTS 10.17.41.20
Wind River Linux LTS 10.17.41.21
Wind River Linux LTS 10.17.41.22
Wind River Linux LTS 10.17.41.23
Wind River Linux 8 Fixed LIN8-9711
8.0.0.28 --
Wind River Linux 9 Fixed LIN9-7376
9.0.0.18 --
Wind River Linux 7 Fixed -- 7.0.0.30 --
Wind River Linux LTS 21 Not Vulnerable -- -- --
Wind River Linux LTS 18 Fixed -- 10.18.44.1 --
Wind River Linux LTS 19 Not Vulnerable -- -- --
Wind River Linux CD release Not Vulnerable -- -- --
VxWorks
VxWorks 7 Not Vulnerable -- -- --
VxWorks 6.9 Not Vulnerable -- -- --

Related Products

Product Name Status Defect Fixed Downloads

Comments

dropbear

Live chat
Online